From bc4d0256c3d24d58460043fbdadb383e20475580 Mon Sep 17 00:00:00 2001
From: Adrian Grucza <adrian.grucza@iress.com>
Date: Wed, 12 May 2021 16:50:42 +1000
Subject: [PATCH 1/3] Add DriverConfiguration param; fix default passwd

---
 winbuild/regress.ps1 | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/winbuild/regress.ps1 b/winbuild/regress.ps1
index b5e1f85..f464a4a 100644
--- a/winbuild/regress.ps1
+++ b/winbuild/regress.ps1
@@ -27,7 +27,9 @@
     automatically unless this option is specified.  Currently "4.0",
     "12.0" or "14.0" is available.
 .PARAMETER Configuration
-    Specify "Release"(default) or "Debug".
+    Specify the configuration used to build the regression tests. "Release"(default) or "Debug".
+.PARAMETER DriverConfiguration
+    Specify the configuration of the driver to test. "Release"(default) or "Debug".
 .PARAMETER BuildConfigPath
     Specify the configuration xml file name if you want to use
     the configuration file other than standard one.
@@ -74,6 +76,7 @@ Param(
 [string]$MSToolsVersion,
 [ValidateSet("Debug", "Release")]
 [String]$Configuration="Release",
+[String]$DriverConfiguration="Release",
 [string]$BuildConfigPath,
 [ValidateSet("off", "on", "both")]
 [string]$DeclareFetch="on",
@@ -263,7 +266,7 @@ function SpecialDsn($testdsn, $testdriver)
 			$uid = $in
 		}
 		$in = read-host -assecurestring "Password [$passwd]"
-		if ("$in" -ne "") {
+		if ($in.Length -ne 0) {
 			$ptr = [System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($in)
 			$passwd = [System.Runtime.InteropServices.Marshal]::PtrToStringBSTR($ptr)
 		}
@@ -394,12 +397,12 @@ foreach ($pl in $pary) {
 	 "Win32" {
 			$targetdir="test_x86"
 			$bit="32-bit"
-			$dlldir="$objbase\x86_${ansi_dir_part}_Release"
+			$dlldir="$objbase\x86_${ansi_dir_part}_$DriverConfiguration"
 		}
 	 default {
 			$targetdir="test_x64"
 			$bit="64-bit"
-			$dlldir="$objbase\x64_${ansi_dir_part}_Release"
+			$dlldir="$objbase\x64_${ansi_dir_part}_$DriverConfiguration"
 		}
 	}
 	pushd $pushdir\$targetdir
-- 
2.31.1.windows.1

